Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.enc
Class XECipherData

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.enc.XECipherData`

public class XECipherData
extends XMLElement

The CipherData element that provides the encrypted data. It either stores the encrypted data in the CipherValue element or refers to a source containing it via CipherReference element.

See Also:
  `XEEncryptedObject`, `XECipherReference`

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`XECipherData(org.w3c.dom.Element cipherData)` Create a `XECipherData` instance with the given CipherData element.
`XECipherData(org.w3c.dom.Element cipherData, java.lang.String systemId)` Create a `XECipherData` instance with the given CipherData element.

Method Summary
`XECipherReference` | `getCipherReference()` Return the `XECipherReference` object in this `XECipherData` element.
`byte[]` | `getCipherValue()` Return the cipher value stored in the CipherValue element.
`void` | `setCipherReference(XECipherReference cipherRef)` Sets the CipherReference element.
`void` | `setCipherValue(byte[] cipherValue)` Sets the CipherValue element with the given cipher value.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XECipherData

    public XECipherData(org.w3c.dom.Element cipherData)
                 throws org.w3c.dom.DOMException

  Create a `XECipherData` instance with the given CipherData element.
Parameters:
  `cipherData` - A CipherData element.

### XECipherData

    public XECipherData(org.w3c.dom.Element cipherData,
                        java.lang.String systemId)
                 throws org.w3c.dom.DOMException

  Create a `XECipherData` instance with the given CipherData element.
Parameters:
  `cipherData` - A CipherData element.
  `systemId` - The URI string system ID for this element.
Since:
  2.0
See Also:
  `XMLNode.setSystemId(java.lang.String)`

Method Detail

### setCipherValue

    public void setCipherValue(byte[] cipherValue)
                        throws org.w3c.dom.DOMException

  Sets the CipherValue element with the given cipher value.
  Parameters:
    `cipherValue` - The encrypted data.
  Throws:
    `org.w3c.dom.DOMException`

### setCipherReference

    public void setCipherReference(XECipherReference cipherRef)
                            throws org.w3c.dom.DOMException

  Sets the CipherReference element.
  Parameters:
    `cipherRef` - An `XECipherReference` object.
  Throws:
    `org.w3c.dom.DOMException`

### getCipherValue

    public byte[] getCipherValue()

  Return the cipher value stored in the CipherValue element.
  Returns:
    The cipher value, or `null` if not set (i.e., a CipherReference is used instead).

### getCipherReference

    public XECipherReference getCipherReference()

  Return the `XECipherReference` object in this `XECipherData` element.
  Returns:
    The `XECipherReference` object, or `null` if not set (i.e., a CipherValue is used instead).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.